com.sun.jna.platform.win32

## Class Winspool.PRINTER_INFO_4

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.PRINTER_INFO_4

Enclosing interface:
  Winspool

    @Structure.FieldOrder(value={"pPrinterName","pServerName","Attributes"})
    public static class Winspool.PRINTER_INFO_4
    extends Structure

The PRINTER_INFO_4 structure specifies general printer information.

The structure can be used to retrieve minimal printer information on a call to EnumPrinters. Such a call is a fast and easy way to retrieve the names and attributes of all locally installed printers on a system and all remote printer connections that a user has established.

See Also:
  PRINTER_INFO_4 structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `Attributes` Specifies information about the returned data.
`java.lang.String` `pPrinterName` Pointer to a null-terminated string that specifies the name of the printer (local or remote).
`java.lang.String` `pServerName` Pointer to a null-terminated string that is the name of the server.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`PRINTER_INFO_4()`
`PRINTER_INFO_4(int size)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pPrinterName

    public java.lang.String pPrinterName

Pointer to a null-terminated string that specifies the name of the printer (local or remote).

#### pServerName

    public java.lang.String pServerName

Pointer to a null-terminated string that is the name of the server.

#### Attributes

    public WinDef.DWORD Attributes

Specifies information about the returned data.

### Constructor Detail

#### PRINTER_INFO_4

    public PRINTER_INFO_4()

#### PRINTER_INFO_4

    public PRINTER_INFO_4(int size)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.